# writers.pcd

The PCD Writer supports writing to Point Cloud Data (PCD) formatted files, which are used by the Point Cloud Library (PCL).

By default, compression is not enabled, and the PCD writer will output ASCII formatted data. When compression is enabled, the output is PCD’s binary-compressed format.

Dynamic Plugin

This stage requires a dynamic plugin to operate

Note

The PCD Writer requires linkage of the PCL library.

## Example

    {
      "pipeline":[
        {
          "type":"readers.pcd",
          "filename":"inputfile.pcd"
        },
        {
          "type":"writers.pcd",
          "filename":"outputfile.pcd"
        }
      ]
    }

## Options

filename
  PCD file to write [Required]
compression
  Apply compression to the PCD file? [Default: false]